package com.cf.imes.module.plan.enums;

import com.cf.imes.framework.common.exception.ErrorCode;

/**
 * @author there
 * 生产计划服务错误码枚举 使用 1-005-000-000 段
 */
public class ErrorCodeConstants {
    // ========== 生产单导入 1_005_000 ==========
    public static final ErrorCode ORDER_IMPORT_PLATE_GOODS_NOT_EXISTS = new ErrorCode(1_005_000_000, "{}生产单商品板材数据不存在：{}");
    public static final ErrorCode ORDER_IMPORT_ORGANID_NOT_EXISTS = new ErrorCode(1_005_000_001, "不存在组织id，导入终止");
    public static final ErrorCode ORDER_IMPORT_FAIL = new ErrorCode(1_005_000_002, "导入失败");
    public static final ErrorCode WEBCAD_ORDER_NOT_EXISTS_ERROR = new ErrorCode(1_005_000_004, "导入失败：生产单号【{}】不存在");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_ORGANID_EMPTY_ERROR = new ErrorCode(1_005_000_005, "导入失败：无法获取机构信息，请检查cadtoken是否配置正确");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_FAILED = new ErrorCode(1_005_000_006, "导入失败：请检查拆单数据");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_PLATE_NOT_EXIST_ERROR = new ErrorCode(1_005_000_007, "导入失败：板材对应失败，板材库中不存在对应板材【{}】");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_SAVEDATA_ERROR = new ErrorCode(1_005_000_008, "导入失败：数据保存异常，请检查拆单数据");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_GET_ORG_SEALEDGE_ERROR = new ErrorCode(1_005_000_009, "导入失败：获取组织封边对应配置异常，请检查服务");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_ORG_SEALEDGE_ANALYZE_ERROR = new ErrorCode(1_005_000_010, "导入失败：组织封边对应配置解析异常，请检查配置");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_ORDER_PLATENUM_CHECK_ERROR = new ErrorCode(1_005_000_011, "导入失败：生产单【{}】下板件数量已达到{}片，无法继续导入");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_ORDER_PLATENUM_REACH_THRESHOLD_ERROR = new ErrorCode(1_005_000_012, "部分导入成功，生产单【{}】下板件数量已达到{}片，本次拆单超出部分不计入生产单");
    public static final ErrorCode ORDER_IMPORT_PLATE_GOODS_NOMATCH_ERROR = new ErrorCode(1_005_000_013, "导入失败，板材库中无板材匹配，商品编码：{}，商品名称：{}，材质：{}，颜色：{}，厚度：{}，品牌：{}");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_PEEK_NOT_EXIST_ERROR = new ErrorCode(1_005_000_014, "导入失败：数据源不存在，请检查消息可靠性");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_ORDER_UPDATE_CONCURRENCY_ERROR = new ErrorCode(1_005_000_015, "导入失败：生产单号【{}】板件数量已发生改变，请重新导入");
    public static final ErrorCode WEBCAD_ORDER_IMPORT_GOODS_UPDATE_CONCURRENCY_ERROR = new ErrorCode(1_005_000_016, "导入失败：材质【{}】板件数量已发生改变，请重新导入");
}
